Subject: [spring] Working Group Adoption Call for draft-filsfils-spring-srv6-network-programming

From: <[email-masked]>
Date: Wed, 13 Mar 2019 18:49:31 +0000

Hi SPRING WG,

This email initiates a three week call for working group adoption for draft-filsfils-spring-srv6-network-programming. (Three weeks to account for the IETF week)

Please indicate your support, comments, or objection, for adopting this draft as a working group item by April, 3rd, 2019 (aka 2019-04-03)

We are particularly interested in hearing from working group members that are not co-authors of this draft.

We are also looking for volunteers who would be ready to perform a technical review of this work at some later stage, such as before or during WG the last call.

In parallel to this adoption call, I will send an IPR call for this document. We will need all authors and contributors to confirm their IPR position on this document.

There is currently 1 IPR filled (2)

(1)  https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-07

(2)  https://datatracker.ietf.org/ipr/search/?id=draft-filsfils-spring-srv6-network-programming&submit=draft

Thank you,

--Bruno & Rob.

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Peter Psenak <[email-masked]>
Date: Wed, 13 Mar 2019 20:48:08 +0100

I support the working group adoption.

Peter

On 13/03/2019 19:49 , [email-masked] wrote:
> Hi SPRING WG,
>
>
>
> This email initiates a three week call for working group adoption for
> draft-filsfils-spring-srv6-network-programming. (Three weeks to account
> for the IETF week)
>
>
>
> Please indicate your support, comments, or objection, for adopting this
> draft as a working group item by April, 3^rd , 2019 (aka 2019-04-03)
>
> We are also looking for volunteers who would be ready to perform a
> technical review of this work at some later stage, such as before or
> during WG the last call.
>
>
>
> In parallel to this adoption call, I will send an IPR call for this
> document. We will need all authors and contributors to confirm their IPR
> position on this document.
>
> (1)
> https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-07
>
> (2)
> https://datatracker.ietf.org/ipr/search/?id=draft-filsfils-spring-srv6-network-programming&submit=draft
>
>
>
>
>
> Thank you,
>
> --Bruno & Rob.
>
>
>
> _______________________________________________
> spring mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spring
>

---

From: "Mankamana Mishra (mankamis)" <[email-masked]>
Date: Wed, 13 Mar 2019 19:52:54 +0000

Support the adoption.

Sent from my iPhone

On Mar 13, 2019, at 11:50, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>> wrote:

Hi SPRING WG,

Thank you,

--Bruno & Rob.

_______________________________________________
spring mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/spring

---

From: Robert Raszuk <[email-masked]>
Date: Wed, 13 Mar 2019 21:07:03 +0100

Support !

Thx,
R.

---

From: Paul Mattes <[email-masked]>
Date: Wed, 13 Mar 2019 20:35:08 +0000

Support.

        pdm

From: spring <[email-masked]> On Behalf Of [email-masked]
Sent: Wednesday, March 13, 2019 11:50 AM
To: SPRING WG <[email-masked]>
Cc: [email-masked]
Subject: [spring] Working Group Adoption Call for draft-filsfils-spring-srv6-network-programming

Hi SPRING WG,

(1)  https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-07<https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ietf.org%2Fhtml%2Fdraft-filsfils-spring-srv6-network-programming-07&data=02%7C01%7Cpamattes%40microsoft.com%7C8585f7d3f8dc4b7ab09208d6a7e4ab35%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636880997907942811&sdata=dBm%2BHfifgpWQ%2FK0s5Ps4CdTdRnCQCguAqiaXvKaB%2Fpw%3D&reserved=0>

(2)  https://datatracker.ietf.org/ipr/search/?id=draft-filsfils-spring-srv6-network-programming&submit=draft<https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fipr%2Fsearch%2F%3Fid%3Ddraft-filsfils-spring-srv6-network-programming%26submit%3Ddraft&data=02%7C01%7Cpamattes%40microsoft.com%7C8585f7d3f8dc4b7ab09208d6a7e4ab35%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636880997907952819&sdata=H22IV4L3aSkQXXGSLrNvtHX2csTzMK2d9LyZf2YtMyM%3D&reserved=0>

Thank you,

--Bruno & Rob.

Thank you.

---

From: Jeff Tantsura <[email-masked]>
Date: Wed, 13 Mar 2019 13:37:21 -0700

yes/support

Cheers,
Jeff

---

From: "Les Ginsberg (ginsberg)" <[email-masked]>
Date: Wed, 13 Mar 2019 21:28:13 +0000

Support.

   Les

Hi SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: Ahmed Bashandy <[email-masked]>
Date: Wed, 13 Mar 2019 23:34:35 +0200

Support the WG adoption

Ahmed

---

From: Gaurav Dawra <[email-masked]>
Date: Wed, 13 Mar 2019 15:27:34 -0700

Support

Gaurav

Sent from my iPhone

> On Mar 13, 2019, at 1:35 PM, Paul Mattes <pamattes=[email-masked]> wrote:
> 
> Support.
>  
>         pdm
>

---

From: Zhuangshunwan <[email-masked]>
Date: Thu, 14 Mar 2019 01:03:11 +0000

Support !

Thanks,
Shunwan

From: spring [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Thursday, March 14, 2019 2:50 AM
To: SPRING WG <[email-masked]>
Cc: [email-masked]
Subject: [spring] Working Group Adoption Call for draft-filsfils-spring-srv6-network-programming

Hi SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: Xiejingrong <[email-masked]>
Date: Thu, 14 Mar 2019 01:27:48 +0000

I Support the adoption but I also have a comment.
The Next Header value 59 used in SRv6-L2VPN scenario should be a new value applied from IANA officially.
Please find in the WG mail list my comment yesterday.

Thanks
Jingrong

Hi SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: Huzhibo <[email-masked]>
Date: Thu, 14 Mar 2019 01:30:34 +0000

Support!

Ths
Zhibo Hu

Hi SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: "Chengli (Cheng Li)" <[email-masked]>
Date: Thu, 14 Mar 2019 02:10:47 +0000

Support.

The solution defined in this document has been implemented by several vendors and open source data plane,
and I think it is ready to be adopted for better help on implementation.

My comments regarding USD/PSP/USP have been addressed, hope to see the correct text in the next version.

Thanks,
Cheng

Hi SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: Mach Chen <[email-masked]>
Date: Thu, 14 Mar 2019 02:22:29 +0000

Hi,

Yes/support.

This is the fundamental document of SRv6, I have read several versions of this draft, it becomes more stable and mature. I think it's ready for WG adoption.

Best regards,
Mach

Hi SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: "Dongjie (Jimmy)" <[email-masked]>
Date: Thu, 14 Mar 2019 02:37:38 +0000

Yes, support.

This document is fundamental to SRv6, and there are several drafts relying on its progress.

Best regards,
Jie

Hi SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Thu, 14 Mar 2019 02:41:45 +0000

Support WG adoption of this key document for SR.

Thanks,
Ketan

Sent: 14 March 2019 00:20

Hi SPRING WG,

Thank you,

--Bruno & Rob.

Thank you.

---

From: Lizhenbin <[email-masked]>
Date: Thu, 14 Mar 2019 04:36:51 +0000

Support as the co-author.

Best Regards,

Zhenbin (Robin)

________________________________
发件人: [email-masked] [[email-masked]]
发送时间: 2019年3月14日 2:49
收件人: SPRING WG
抄送: [email-masked]
主题: Working Group Adoption Call for draft-filsfils-spring-srv6-network-programming

Hi SPRING WG,

Thank you,

--Bruno & Rob.

---

From: "Pengshuping (Peng Shuping)" <[email-masked]>
Date: Thu, 14 Mar 2019 04:48:29 +0000

Support the WG adoption.

Thanks.
Shuping

发件人： bruno.decraene<[email-masked]<mailto:[email-masked]>>
收件人： SPRING WG<[email-masked]<mailto:[email-masked]>>
抄送： draft-filsfils-spring-srv6-network-programming<[email-masked]<mailto:[email-masked]>>
主题： [spring] Working Group Adoption Call for draft-filsfils-spring-srv6-network-programming
时间： 2019-03-14 02:50:06

Hi SPRING WG,

Thank you,

--Bruno & Rob.

---

From: Shyam Sethuram <[email-masked]>
Date: Wed, 13 Mar 2019 22:20:04 -0700

Support the WG adoption.

thanks<<shyam

---

From: Matsushima Satoru <[email-masked]>
Date: Fri, 15 Mar 2019 22:37:26 +0900

Support the adoption.

Cheers,
--satoru

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 15 Mar 2019 18:11:53 -0000

Thanks for this poll, Bruno,

Before taking up work on this draft, would it be worth working with 6man to
check that the repurposing of IPv6 addresses would be unlikely to cause a
great fight? It would probably be better to not have two WGs fighting.

And, in case someone is confused by my comments, RFC 4291 has.

   IPv6 addresses are 128-bit identifiers for interfaces and sets of

   interfaces (where "interface" is as defined in Section 2 of [IPV6]).

And RFC 8200 has.

      interface    a node's attachment to a link.

and

      Destination Address 128-bit address of the intended recipient of

                          the packet (possibly not the ultimate

                          recipient, if a Routing header is present).

                          See [RFC4291] and Section 4.4.

Now, it is possible that everyone will say "Yeah, go ahead." Or they may
say, "You can only do this if you're also updating 4291 and 8200." Or, of
course, they may also say, "Whoa, it would be a really big step to address a
function or an instruction or something other than an interface,
notwithstanding that they are routable."

I'm not prejudging what answer we might get, but think it would be worth
asking.

Best,

Adrian

From: spring <[email-masked]> On Behalf Of
[email-masked]
Sent: 13 March 2019 18:50
To: SPRING WG <[email-masked]>
Cc: [email-masked]
Subject: [spring] Working Group Adoption Call for
draft-filsfils-spring-srv6-network-programming

Hi SPRING WG,
 
This email initiates a three week call for working group adoption for
draft-filsfils-spring-srv6-network-programming. (Three weeks to account for
the IETF week)
 
Please indicate your support, comments, or objection, for adopting this
draft as a working group item by April, 3rd, 2019 (aka 2019-04-03)
We are particularly interested in hearing from working group members that
are not co-authors of this draft.
 
We are also looking for volunteers who would be ready to perform a technical
review of this work at some later stage, such as before or during WG the
last call.

(1)
https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-0
7
(2)
https://datatracker.ietf.org/ipr/search/?id=draft-filsfils-spring-srv6-netwo
rk-programming
<https://datatracker.ietf.org/ipr/search/?id=draft-filsfils-spring-srv6-netw
ork-programming&submit=draft> &submit=draft

Thank you,
--Bruno & Rob.

____________________________________________________________________________
_____________________________________________
 
Ce message et ses pieces jointes peuvent contenir des informations
confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu
ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages
electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou
falsifie. Merci.
 
This message and its attachments may contain confidential or privileged
information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and
delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been
modified, changed or falsified.
Thank you.

---

From: stefano previdi <[email-masked]>
Date: Mon, 18 Mar 2019 13:48:38 +0100

Hi,

I support the working group adoption of this document.

Thanks.
s.

> On Mar 13, 2019, at 7:49 PM, [email-masked] wrote:
> 
> Hi SPRING WG,
>

---

From: John Leddy <[email-masked]>
Date: Mon, 18 Mar 2019 09:25:01 -0400

John Leddy

---

From: Pier Luigi Ventre <[email-masked]>
Date: Sun, 24 Mar 2019 14:42:07 -0700

Hello,
we support the adoption of this draft.

Thanks
Pier

> On Mar 13, 2019, at 11:49 AM, <[email-masked]> <[email-masked]> wrote:
> 
> Hi SPRING WG,
>  
> (1)  https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-07 <https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-07>
> (2)  https://datatracker.ietf.org/ipr/search/?id=draft-filsfils-spring-srv6-network-programming&submit=draft <https://datatracker.ietf.org/ipr/search/?id=draft-filsfils-spring-srv6-network-programming&submit=draft>
>  
>  
> Thank you,
> --Bruno & Rob.
>  
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/spring <https://www.ietf.org/mailman/listinfo/spring>